// Test.cpp : R\[ AvP[Vp̃Gg |Cg̒`
//

#include "stdafx.h"
#include <stdio.h>

#include "EdgeFile.h"

#pragma comment(lib, "EdgeLIB.lib")

int main(int argc, char* argv[])
{
	// NXCu
	CEdgeFile EdgeFile;

	// ǂݍݎs
	if (EdgeFile.Read("Edge1.edg") != EDGELIB_OK) {
		return 0;
	}

	// 擾
	int nWidth = EdgeFile.GetWidth();

	// c擾
	int nHeight = EdgeFile.GetHeight();

	// C擾
	int nLayer = EdgeFile.GetLayerCount();

	// pbg擾
	CEdgeColor* pcolPalette = EdgeFile.GetPalette();

	int i, y, x;
	HDC dc = GetDC(NULL);
	COLORREF ref;

	for (i = 0; i < nLayer; i++) {
		
		// C擾
		CEdgeLayer* pLayer = EdgeFile.GetLayer(i);

		// C[W擪ւ̃|C^擾
		const BYTE *p = pLayer->GetImage();

		for (y = 0; y < nHeight; y++) {
			for (x = 0; x < nWidth; x++) {
				// RGB to COLORREF
				ref = RGB(pcolPalette[*p].m_btRed, pcolPalette[*p].m_btGreen, pcolPalette[*p].m_btBlue);
				// fXNgbv֓_`
				SetPixel(dc, x, y + i * (nHeight + 1), ref);
				p++;
			}
		}
	}

	ReleaseDC(NULL, dc);
	
	return 0;
}

